package cn.reghao.tnb.content.api.iface;

import cn.reghao.jutil.jdk.db.PageList;
import cn.reghao.tnb.content.api.dto.*;

import java.util.List;

/**
 * @author reghao
 * @date 2024-02-15 09:38:40
 */
public interface AdminVideoService {
    List<VideoRegion> getVideoRegions();
    PageList<UserVideoPost> getVideoPosts(VideoSearch videoSearch);
    VideoUrls getVideoUrl(String videoId);
    Long getImageAlbum(String objectId);
    void addConvertedVideo(VideoConvertedDto videoConvertedDto);
}
